# Form implementation generated from reading ui file 'src/eric7/Preferences/ToolConfigurationDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_ToolConfigurationDialog(object):
    def setupUi(self, ToolConfigurationDialog):
        ToolConfigurationDialog.setObjectName("ToolConfigurationDialog")
        ToolConfigurationDialog.resize(591, 487)
        ToolConfigurationDialog.setSizeGripEnabled(True)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(ToolConfigurationDialog)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.gridLayout_2 = QtWidgets.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.toolsList = QtWidgets.QListWidget(parent=ToolConfigurationDialog)
        self.toolsList.setObjectName("toolsList")
        self.gridLayout_2.addWidget(self.toolsList, 0, 0, 1, 1)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.newButton = QtWidgets.QPushButton(parent=ToolConfigurationDialog)
        self.newButton.setObjectName("newButton")
        self.verticalLayout.addWidget(self.newButton)
        self.addButton = QtWidgets.QPushButton(parent=ToolConfigurationDialog)
        self.addButton.setObjectName("addButton")
        self.verticalLayout.addWidget(self.addButton)
        self.changeButton = QtWidgets.QPushButton(parent=ToolConfigurationDialog)
        self.changeButton.setEnabled(False)
        self.changeButton.setObjectName("changeButton")
        self.verticalLayout.addWidget(self.changeButton)
        self.deleteButton = QtWidgets.QPushButton(parent=ToolConfigurationDialog)
        self.deleteButton.setEnabled(False)
        self.deleteButton.setObjectName("deleteButton")
        self.verticalLayout.addWidget(self.deleteButton)
        self.upButton = QtWidgets.QPushButton(parent=ToolConfigurationDialog)
        self.upButton.setEnabled(False)
        self.upButton.setObjectName("upButton")
        self.verticalLayout.addWidget(self.upButton)
        self.downButton = QtWidgets.QPushButton(parent=ToolConfigurationDialog)
        self.downButton.setEnabled(False)
        self.downButton.setObjectName("downButton")
        self.verticalLayout.addWidget(self.downButton)
        self.line = QtWidgets.QFrame(parent=ToolConfigurationDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout.addWidget(self.line)
        self.separatorButton = QtWidgets.QPushButton(parent=ToolConfigurationDialog)
        self.separatorButton.setObjectName("separatorButton")
        self.verticalLayout.addWidget(self.separatorButton)
        spacerItem = QtWidgets.QSpacerItem(105, 22, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem)
        self.gridLayout_2.addLayout(self.verticalLayout, 0, 1, 1, 1)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.TextLabel2 = QtWidgets.QLabel(parent=ToolConfigurationDialog)
        self.TextLabel2.setObjectName("TextLabel2")
        self.gridLayout.addWidget(self.TextLabel2, 0, 0, 1, 1)
        self.menuEdit = QtWidgets.QLineEdit(parent=ToolConfigurationDialog)
        self.menuEdit.setObjectName("menuEdit")
        self.gridLayout.addWidget(self.menuEdit, 0, 1, 1, 1)
        self.label = QtWidgets.QLabel(parent=ToolConfigurationDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 1, 0, 1, 1)
        self.iconPicker = EricPathPicker(parent=ToolConfigurationDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.iconPicker.sizePolicy().hasHeightForWidth())
        self.iconPicker.setSizePolicy(sizePolicy)
        self.iconPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.iconPicker.setObjectName("iconPicker")
        self.gridLayout.addWidget(self.iconPicker, 1, 1, 1, 1)
        self.TextLabel1 = QtWidgets.QLabel(parent=ToolConfigurationDialog)
        self.TextLabel1.setObjectName("TextLabel1")
        self.gridLayout.addWidget(self.TextLabel1, 2, 0, 1, 1)
        self.executablePicker = EricPathPicker(parent=ToolConfigurationDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.executablePicker.sizePolicy().hasHeightForWidth())
        self.executablePicker.setSizePolicy(sizePolicy)
        self.executablePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.executablePicker.setObjectName("executablePicker")
        self.gridLayout.addWidget(self.executablePicker, 2, 1, 1, 1)
        self.TextLabel3 = QtWidgets.QLabel(parent=ToolConfigurationDialog)
        self.TextLabel3.setObjectName("TextLabel3")
        self.gridLayout.addWidget(self.TextLabel3, 3, 0, 1, 1)
        self.argumentsEdit = QtWidgets.QLineEdit(parent=ToolConfigurationDialog)
        self.argumentsEdit.setObjectName("argumentsEdit")
        self.gridLayout.addWidget(self.argumentsEdit, 3, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=ToolConfigurationDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 4, 0, 1, 1)
        self.redirectCombo = QtWidgets.QComboBox(parent=ToolConfigurationDialog)
        self.redirectCombo.setObjectName("redirectCombo")
        self.gridLayout.addWidget(self.redirectCombo, 4, 1, 1, 1)
        self.gridLayout_2.addLayout(self.gridLayout, 1, 0, 1, 2)
        self.verticalLayout_2.addLayout(self.gridLayout_2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=ToolConfigurationDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_2.addWidget(self.buttonBox)
        self.TextLabel2.setBuddy(self.menuEdit)
        self.label.setBuddy(self.iconPicker)
        self.TextLabel1.setBuddy(self.executablePicker)
        self.TextLabel3.setBuddy(self.argumentsEdit)
        self.label_2.setBuddy(self.redirectCombo)

        self.retranslateUi(ToolConfigurationDialog)
        self.buttonBox.accepted.connect(ToolConfigurationDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(ToolConfigurationDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(ToolConfigurationDialog)
        ToolConfigurationDialog.setTabOrder(self.toolsList, self.menuEdit)
        ToolConfigurationDialog.setTabOrder(self.menuEdit, self.iconPicker)
        ToolConfigurationDialog.setTabOrder(self.iconPicker, self.executablePicker)
        ToolConfigurationDialog.setTabOrder(self.executablePicker, self.argumentsEdit)
        ToolConfigurationDialog.setTabOrder(self.argumentsEdit, self.redirectCombo)
        ToolConfigurationDialog.setTabOrder(self.redirectCombo, self.newButton)
        ToolConfigurationDialog.setTabOrder(self.newButton, self.addButton)
        ToolConfigurationDialog.setTabOrder(self.addButton, self.changeButton)
        ToolConfigurationDialog.setTabOrder(self.changeButton, self.deleteButton)
        ToolConfigurationDialog.setTabOrder(self.deleteButton, self.upButton)
        ToolConfigurationDialog.setTabOrder(self.upButton, self.downButton)
        ToolConfigurationDialog.setTabOrder(self.downButton, self.separatorButton)

    def retranslateUi(self, ToolConfigurationDialog):
        _translate = QtCore.QCoreApplication.translate
        ToolConfigurationDialog.setWindowTitle(_translate("ToolConfigurationDialog", "Configure Tools Menu"))
        self.newButton.setToolTip(_translate("ToolConfigurationDialog", "Clear all entry fields"))
        self.newButton.setWhatsThis(_translate("ToolConfigurationDialog", "<b>New</b>\n"
"<p>Clear all entry fields for entering a new tools entry.</p>"))
        self.newButton.setText(_translate("ToolConfigurationDialog", "&New"))
        self.newButton.setShortcut(_translate("ToolConfigurationDialog", "Alt+N"))
        self.addButton.setToolTip(_translate("ToolConfigurationDialog", "Add a new tools entry"))
        self.addButton.setWhatsThis(_translate("ToolConfigurationDialog", "<b>Add</b>\n"
"<p>Add a new tools entry with the values entered below.</p>"))
        self.addButton.setText(_translate("ToolConfigurationDialog", "&Add"))
        self.addButton.setShortcut(_translate("ToolConfigurationDialog", "Alt+A"))
        self.changeButton.setToolTip(_translate("ToolConfigurationDialog", "Change the values of the selected entry"))
        self.changeButton.setWhatsThis(_translate("ToolConfigurationDialog", "<b>Change</b>\n"
"<p>Change the values of the selected entry.</p>"))
        self.changeButton.setText(_translate("ToolConfigurationDialog", "C&hange"))
        self.changeButton.setShortcut(_translate("ToolConfigurationDialog", "Alt+H"))
        self.deleteButton.setToolTip(_translate("ToolConfigurationDialog", "Delete the selected entry"))
        self.deleteButton.setWhatsThis(_translate("ToolConfigurationDialog", "<b>Delete</b>\n"
"<p>Delete the selected entry.</p>"))
        self.deleteButton.setText(_translate("ToolConfigurationDialog", "&Delete"))
        self.deleteButton.setShortcut(_translate("ToolConfigurationDialog", "Alt+D"))
        self.upButton.setToolTip(_translate("ToolConfigurationDialog", "Move up"))
        self.upButton.setWhatsThis(_translate("ToolConfigurationDialog", "<b>Move Up</b>\n"
"<p>Move the selected entry up.</p>"))
        self.upButton.setText(_translate("ToolConfigurationDialog", "&Up"))
        self.upButton.setShortcut(_translate("ToolConfigurationDialog", "Alt+U"))
        self.downButton.setToolTip(_translate("ToolConfigurationDialog", "Move down"))
        self.downButton.setWhatsThis(_translate("ToolConfigurationDialog", "<b>Move Down</b>\n"
"<p>Move the selected entry down.</p>"))
        self.downButton.setText(_translate("ToolConfigurationDialog", "Do&wn"))
        self.downButton.setShortcut(_translate("ToolConfigurationDialog", "Alt+W"))
        self.separatorButton.setToolTip(_translate("ToolConfigurationDialog", "Add a separator"))
        self.separatorButton.setWhatsThis(_translate("ToolConfigurationDialog", "<b>Add separator</b><p>Add a separator for the menu.</p>"))
        self.separatorButton.setText(_translate("ToolConfigurationDialog", "Add &Separator"))
        self.TextLabel2.setText(_translate("ToolConfigurationDialog", "&Menu text:"))
        self.menuEdit.setToolTip(_translate("ToolConfigurationDialog", "Enter the menu text"))
        self.menuEdit.setWhatsThis(_translate("ToolConfigurationDialog", "<b>Menu text</b>\n"
"<p>Enter the menu text. Precede the accelerator key with an & character.</p>"))
        self.label.setText(_translate("ToolConfigurationDialog", "&Icon file:"))
        self.iconPicker.setToolTip(_translate("ToolConfigurationDialog", "Enter the filename of the icon"))
        self.iconPicker.setWhatsThis(_translate("ToolConfigurationDialog", "<b>Icon</b>\n"
"<p>Enter the filename of the icon.</p>"))
        self.TextLabel1.setText(_translate("ToolConfigurationDialog", "&Executable file:"))
        self.executablePicker.setToolTip(_translate("ToolConfigurationDialog", "Enter the filename of the executable"))
        self.executablePicker.setWhatsThis(_translate("ToolConfigurationDialog", "<b>Executable</b>\n"
"<p>Enter the filename of the executable.</p>"))
        self.TextLabel3.setText(_translate("ToolConfigurationDialog", "Ar&guments:"))
        self.argumentsEdit.setToolTip(_translate("ToolConfigurationDialog", "Enter the arguments for the executable"))
        self.argumentsEdit.setWhatsThis(_translate("ToolConfigurationDialog", "<b>Arguments</b>\n"
"<p>Enter the arguments for the executable.</p>"))
        self.label_2.setText(_translate("ToolConfigurationDialog", "&Redirect output"))
        self.redirectCombo.setToolTip(_translate("ToolConfigurationDialog", "Select the output redirection mode"))
        self.redirectCombo.setWhatsThis(_translate("ToolConfigurationDialog", "<b>Redirect output<b><p>Select the output redirection mode. The standard error channel is either not redirected or shown in the log viewer.</p>"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
